IT Services



Unsupported clients


Platforms for which no TSM client is available :

The following lists those Operating System platforms for which no supported TSM client software is available. IT Services strongly advises all users to upgrade their Operating Systems to a supported level and thence to install a supported TSM client. Where a comparable supported platform exists, it is listed below.

For clients that have backups of files on older platforms that they now wish to restore - for example due to a hardware or system failure - the recommended route, where possible, is as below.

  1. Install a comparable and supported Operating System onto your new hardware.
  2. Install the supported TSM client software onto this machine.
  3. Restore your data into a separate area - or better still, a dedicated partition or drive - on this machine.

Alternatively, clients can restore their data back to a different machine, providing the OS platforms are similar and the filesystems types are supported. In practice this means that backups from Windows 95/98/ME may be restored to a machine running Windows XP / 2000 / 2003 or Vista . Backups from Windows XP / 2000 / 2003 or Vista can be restored back to each other as they are all based on the NTFS filesystem. Backups from a Linux/Unix host may be restored to another Linux/Unix host provided the filesystem type is supported by the Linux/Unix OS on the target machine. Backups from Mac OS8/9 may be restored to a machine running OSX (although the files will acquire default ownership and permissions).

Cross-platform restores will not work - for example, restoring backups from a Mac to a Windows host or vice versa or restoring Windows backups to a Linux machine or vice versa.

For further details on how to restore to a different machine see the relevant section on restoring to a new machine for Windows, Mac or Linux.

Note that under circumstances, you may need to enlist the help of your local IT Officer to aid in setting up a dedicated restore area or partition on the target machine.

Where circumstances absolutely preclude the upgrade to a supported Operating System, for example where your hardware prevents you from upgrading your OS to a supported version, please contact hfs@ox.ac.uk for further assistance.

Operating system Version Comparable Supported Platform
Unix DEC Ultrix 4.2A, 4.3 & 4.4
DEC DigitalUnix 4.0 & below 4.0d
DEC DigitalUnix 4.0d & higher
HP-UX 10
HP-UX 11
Linux - kernel versions lower than 2.4.2
IRIX 6.2, 6.3 & 6.4
Solaris 2.5.1, 2.6, 7, 8
FreeBSD





Linux - kernel versions above 2.4.2

Solaris 9 & 10
contact hfs@ox.ac.uk
Novell Netware Netware 3.1x, 4.1x, 5.00 & 6.00 Netware 5.10 & 6.50
Microsoft Windows 3.1 / 9x / ME / NT / 2000 Windows XP / 2K3 / Vista
Apple Macintosh Mac OS 7, 8 & 9; OS X up to 10.4.6 Mac OS X 10.4.7 or higher
OS/2 Warp all versions